Package com.google.android.exoplayer2.video.spherical

## Interface SphericalGLSurfaceView.VideoSurfaceListener

- Enclosing class:
    SphericalGLSurfaceView

      public static interface SphericalGLSurfaceView.VideoSurfaceListener

  Listener for the `Surface` to which video frames should be rendered.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onVideoSurfaceCreated​(Surface surface)` | Called when the `Surface` to which video frames should be rendered is created.
    `void` | `onVideoSurfaceDestroyed​(Surface surface)` | Called when the `Surface` to which video frames should be rendered is destroyed.

- - ### Method Detail

    - #### onVideoSurfaceCreated

          void onVideoSurfaceCreated​(Surface surface)

      Called when the `Surface` to which video frames should be rendered is created.

    - #### onVideoSurfaceDestroyed

          void onVideoSurfaceDestroyed​(Surface surface)

      Called when the `Surface` to which video frames should be rendered is destroyed.